<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@1DD096=FF</action>
      <action>maincpu.pb@1DD095=FF</action>
      <action>maincpu.pb@1DD094=FF</action>
    </script>
  </cheat>

  <cheat desc="Finish this Period Now!">
    <script state="on">
      <action>maincpu.pb@1DD096=00</action>
      <action>maincpu.pb@1DD095=00</action>
      <action>maincpu.pb@1DD094=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shot Time">
    <script state="run">
      <action condition="(frame % 180 == 0)">maincpu.pd@1DD098=00012875</action>
    </script>
  </cheat>

  <cheat desc="No Shot Time Left Now!"> <comment>For the best effect assign this cheat an activation key and use it whenever the other side has the ball!</comment>
    <script state="on">
      <action>maincpu.pd@1DD098=00000001</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always = 0 PL1">
    <script state="run">
      <action>maincpu.pb@1DD4E8=00</action>
    </script>
  </cheat>

  <cheat desc="Score always = 127 PL1">
    <script state="run">
      <action>maincpu.pb@1DD4E8=7F</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! PL1">
    <script state="on">
      <action>maincpu.pb@1DD4E8=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 50 Now! PL1">
    <script state="on">
      <action>maincpu.pb@1DD4E8=32</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! PL1">
    <parameter min="0" max="127" step="1"/>
    <script state="change">
      <action>maincpu.pb@1DD4E8=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Score always = 0 PL2">
    <script state="run">
      <action>maincpu.pb@1DD4F4=00</action>
    </script>
  </cheat>

  <cheat desc="Score always = 127 PL2">
    <script state="run">
      <action>maincpu.pb@1DD4F4=7F</action>
    </script>
  </cheat>

  <cheat desc="Set score = 0 Now! PL2">
    <script state="on">
      <action>maincpu.pb@1DD4F4=00</action>
    </script>
  </cheat>

  <cheat desc="Set score = 50 Now! PL2">
    <script state="on">
      <action>maincpu.pb@1DD4F4=32</action>
    </script>
  </cheat>

  <cheat desc="Select Score Now! PL2">
    <parameter min="0" max="127" step="1"/>
    <script state="change">
      <action>maincpu.pb@1DD4F4=(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
